### Constructor

# Clutter Interval new_with_values

#### Declaration [src]

    ClutterInterval*
    clutter_interval_new_with_values (
      GType gtype,
      const GValue* initial,
      const GValue* final
    )

#### Description [src]

Creates a new `ClutterInterval` of type `gtype`, between `initial` and `final`.

This function is useful for language bindings.

#### Parameters

`gtype`

  Type: `GType`

  The type of the values in the interval.

`initial`

  Type: `GValue`

  A `GValue` holding the initial value of the interval.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`final`

  Type: `GValue`

  A `GValue` holding the final value of the interval.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `ClutterInterval`

The newly created `ClutterInterval`.

The data is owned by the called function.